# Docker installation for the DBMS-Jungle-Evaluator

## Description

Provides the docker-compose for the  DBMS-Jungle-Evaluator

## Install

* install Docker: https://docs.docker.com/install/

* install docker-compose: https://docs.docker.com/compose/install/


* Required folders for persistent data:

  ```shell
  mkdir -p /var/lib/cloudiator/colosseum-store/
  
  ```

* Required folder for evaluation results:

  ```shell
  mkdir -p /opt/evaluation-results/
  ```
  Clone this repo:

```shell
git clone https://omi-gitlab.e-technik.uni-ulm.de/mowgli/docker.git
```




* ```shell
  cd db-evaluator-docker &&  cp env-template .env
  ```

  fill in required fields in .env 

* run 

  ```
  docker-compose up -d 
  ```

  ​

## Usage

* Evaluation-Orchestrator REST-API is available on port 8282

  ​

* PHP-Myadmin is available on port 8080 

  * add cloud credentials into the DB
  * wait until Colosseum has fetched all images, locations, hardware offers
  * fill in the required Id in one of the [example templates](https://omi-gitlab.e-technik.uni-ulm.de/dbms-jungle-explorer/db-evaluator-docker/tree/master/examples)
  * start the evaluation by passing the template to the  REST-API on port 8282

* Portainer container management UI is available on port 9001 with the user *admin* and default password *mowgli19*

